View Issue Details

IDProjectCategoryLast Update
0022798AI War 2[All Projects] SuggestionJun 28, 2020 3:51 am
ReporterDEMOCRACY_DEMOCRACYAssigned ToBadgerBadger 
Severityminor 
Status feature for laterResolutionopen 
Product Version1.329 Valentine 
Fixed in Version 
Summary0022798: Additional AI types
DescriptionYes I acknowledge that AI types won't be present in DLC1, but i had to get my thoughts out before i forgot them again.

The CORE: AI income is 1/3rd, but all it's mobile stuff is now mk7 at the start.

Technologist: similar to The CORE, but everything is 2 marks higher, including immobile stuff like guard posts and turrets.

Blitzkrieg/Gadfly: AI waves are 1/3rd the strength, but the ai sends them 5x as fast

Booby Trapper: has hundreds upon hundreds of mines on it's planets

Spire hammer: uses spire units even without fallen spire enabled

The Conductor: uses various astrotrains to patrol around it's territory. unlike the minor faction astrotrain, these astrotrains do not carry cargo, so no pressure on killing them for time. However they do carry more guns.

Beachheadder: uses special usurpers in it's waves that instead of taking over the planet, Spawn a bunch of turrets and one guard post. Optionally throws in a warp gate that does not cost aip to remove/kill

Exostriker: Has zero budget in waves, and instead has them in exo waves. maybe some budget in regular waves? point is to emphasize the exo waves.

Steamroller: HEAVILY invests into it's hunter fleet, more than special forces master. The hunter fleet is much more aggressive and will always try to pick on the weakest target it can find. it also looses out on wardens and defenses.

The Big One: Waves are weaker and so are it's hunters, but it's CPAs are BRUTAL.

Knife Fighter: focuses on melee ships and it's units have a speed bonus.

Nasty Picker: has bonus nasty picks on it's planets

Guardsman: A more defense orientated AI, it reinforces much quicker and units released from reinforcement points stay on their planets. Units that do somehow end up fleeing do not become hunter but instead warden. Waves are somewhat weaker.

TagsNo tags attached.

Activities

BadgerBadger

Feb 18, 2020 11:19 pm

manager   ~0056049

A useful set of suggestions. I also liked Vengeful/Vicious Exotic.

DEMOCRACY_DEMOCRACY

Feb 19, 2020 2:48 am

reporter   ~0056050

Last edited: Jun 19, 2020 2:05 pm

View 3 revisions

Addendum to technologist, i ment just a flat +2 mark to anything that can have a mark, where as THE CORE only affects anything that is mobile.

(easier) Bouncer: reduced guardpost count, but every single one of them are armed (no unarmed guardposts)

(moderate) Alarmist: features special alarm posts that don't cost aip (or only 1-2 aip on death) that trigger units 3 hops away, rather than 1. carefully kill these alarm posts, unless you want to be swarmed.

(easier) Beef Gate: focuses on using tanky units like i.teslas, vanguards and space tanks. Recieves bonus income on reinforcing, but slightly reduced wave budget.

(hard/brutal) Warp Jumper: does not have warp gates, saving you 5 aip per planet, but can target any planet it damn well chooses. anything below difficulty 9 cannot directly target your homeworld.

(moderate) Guerrilla: AI's units except for wardens are extremely skittish and will flee even if they massively outnumber you. however, they only factor in mobile strength, and will happily take on static D, forcing you to use fleets on defense. (point is, the units released from guard posts flee immediately, and hunter is not confrontational towards player fleets. this saves up their strength for when they push out to attack planets. players must track down the slippery units and either surround them from planets, or trap them in a corner.)

(moderate/hard) Geneticist: Sends waves of scourge units, instead of regular AI units. At tech 1, base warriors, tech 2 race warriors, tech 4 Hybrids. Hunter, Warden , and Praetoran are still regular ai units.

(moderate/hard) Multi task: Waves take 4x as long to charge, but the AI sends 4 waves at once!

(easy/moderate) Randomizer: Planets do not have "themes" for their waves and can send completely random unit compositions through, and can expand their unit types in waves from 2 to 5.

(moderate/hard) Starship Captain: all strike craft are replaced with frigates. AI gets more budget into waves but less into reinforcement and wardens.

ynof

Jun 21, 2020 3:11 pm

reporter   ~0057412

Last edited: Jun 28, 2020 3:51 am

View 3 revisions

Some ideas I had:

-(moderate)Security Maniac: Has tons of Decloaker units, and reacts violently to any Hacks.

-Praetor: Vastly increased Praetorian Guard budget, and their range is increased to (harder) 4 or (brutal)5-6 hops from homeworld

-(harder)Reservist: Reserves can spawn on planets one hop closer than they usually do, and higher chances of spawning. AI Reserves have a bigger budget. Also has a "Reserve Mobilization Dire Guardpost" on its homeworld which can spawn some if attacked.

-(easier)Camper: Has most of its turrets and guardposts very close to wormholes, Telia and Venges. Uses lots of Ambush-type units.

-(harder)Extreme Camper: Similar to the Camper, but seems to really like fortresses and forcefields.

-(moderate)Agitator: Benefits more from Instigator Bases, which have a slightly higher chance of spawning. Heavily defends the Bases when they do spawn.

- (brutal)Great Old One: Has reduced capabilities across the board, but spawns more Extragalactic War ships.

-Adaptive(Tactics) Cycles through AI Types which chiefly influence AI behaviour.

This is for Hunter/Warden Fleet:
-Escort: Tags along with Astro Trains and highe-value mobile AI units and protects them at all costs.

Issue History

Date Modified Username Field Change
Feb 15, 2020 3:45 am DEMOCRACY_DEMOCRACY New Issue
Feb 18, 2020 11:19 pm BadgerBadger Assigned To => BadgerBadger
Feb 18, 2020 11:19 pm BadgerBadger Status new => feature for later
Feb 18, 2020 11:19 pm BadgerBadger Note Added: 0056049
Feb 18, 2020 11:20 pm BadgerBadger Assigned To BadgerBadger =>
Feb 19, 2020 2:48 am DEMOCRACY_DEMOCRACY Note Added: 0056050
Jun 19, 2020 2:03 pm BadgerBadger Assigned To => BadgerBadger
Jun 19, 2020 2:03 pm BadgerBadger Status feature for later => assigned
Jun 19, 2020 2:05 pm BadgerBadger Note Edited: 0056050 View Revisions
Jun 19, 2020 2:05 pm BadgerBadger Note Edited: 0056050 View Revisions
Jun 19, 2020 2:06 pm BadgerBadger Description Updated View Revisions
Jun 19, 2020 2:06 pm BadgerBadger Status assigned => feature for later
Jun 21, 2020 3:11 pm ynof Note Added: 0057412
Jun 27, 2020 1:41 pm BadgerBadger Note Edited: 0057412 View Revisions
Jun 28, 2020 3:51 am BadgerBadger Note Edited: 0057412 View Revisions